Subject: Re: bug#48639: 28.0.50; tabulated-list-mode: columns move if previous entry was too long

From: Eli Zaretskii <[email-masked]>
Date: Mon, 20 Sep 2021 07:31:01 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Sun, 19 Sep 2021 13:57:53 -0700
> Cc: [email-masked], [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> The problem can be observed in e.g. M-x list-processes, reducing the
> >> width of a column with `{' until it is too narrow to fit the text (you
> >> now see "..."), and finally `C-x -' to decrease the font size.
> >
> > I'm not sure I understand: is this about the fact that "C-x -" and
> > friends doesn't affect all the faces?
> 
> Hmm.  No, I don't think that's it.  Or maybe I don't understand what
> you're saying.

I'm saying that some parts of the display are scaled by "C-x -" while
others aren't, and that is what causes misalignment.

> What I see is that one column, immediately after one where text is
> hidden with "04" due to lack of space, stops lining up.
> 
> So in `M-x list-processes' the first four columns look something like
> this on my screen (the first line is the header line):
> 
> Process         PID       Status    Buffer
> ielm            1651304 run          *ielm*
> ispell          2423740 run          --
> server          --        listen    --
> 
> Note how on the first and second line below the header, "run" does not
> align with "Status" in the header like "listen" does.  Instead they end
> up stuck next to "40".
> 
> This happens when you have first shrunk the column to be too small using
> `{', and then scale the font size down using `C-x -'.

list-processes is not a good example: it depends on what is going on
in the session, and in "emacs -Q" the display will generally be
empty.  Can you please use some other command, and explain there what
is wrong with scaling the display?  Because I don't think I understand
the descriptions so far, and the movie that was posted by the OP I
cannot watch here.

Thanks.